Bug 720038 - while navigating Inventory tree view, Globally uncaught exception "JavaScriptException:(TypeError): this.masterElement is null"
while navigating Inventory tree view, Globally uncaught exception "JavaScript...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 731034 jon30-bugs rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-07-08 15:50 EDT by Mike Foley
Modified: 2012-02-07 14:20 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-07-08 15:50:24 EDT
Description of problem:  Globally uncaught exception navigating the Inventory tree view.  Not sure what I was doing, hopefully the callstack will be enough to identify the issue. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.   navigate Inventory tree view with FF 3.6 browser
2.
3.
  
Actual results:


Expected results:


Additional info:
Globally uncaught exception
Severity :	
Error
	
Time :	
Friday, July 8, 2011 3:36:07 PM Etc/GMT+4
Detail :	
com.google.gwt.core.client.JavaScriptException:(TypeError): this.masterElement is null stack: ("resize")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:185 isc_Canvas__completeResizeBy()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2577 isc_Canvas_resizeBy(0,-76,(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2573 isc_c_Class_invokeSuper([object Object],"resizeBy",0,-76,(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_StatefulCanvas_resizeBy(0,-76,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:234 isc_Canvas_resizeTo(68,24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2601 isc_StatefulCanvas__resized(0,-76)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:262 isc_Canvas__completeResizeBy()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2578 isc_Canvas_resizeBy(0,-76,(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2573 isc_c_Class_invokeSuper([object Object],"resizeBy",null,-76,(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_StatefulCanvas_resizeBy(null,-76,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:234 isc_Canvas_resizeTo(null,24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2601 isc_Canvas_setHeight(24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2258 isc_Layout_setMemberBreadth([object Object],24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:305 isc_Layout_autoSetBreadth([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:350 isc_Layout_addMembers([object Array],0)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:492 isc_Toolbar_setButtons()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:781 isc_c_Class_invokeSuper(null,"setButtons")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_c_Class_Super("setButtons",[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:271 isc_TabBar_setButtons()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:27 isc_Toolbar_addButtons([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:786 isc_TabBar_addTabs([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:32 isc_TabSet_addTabs([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:362 isc_TabSet_addTab([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:359 com_smartgwt_client_widgets_tab_TabSet_$addTab__Lcom_smartgwt_client_widgets_tab_TabSet_2Lcom_smartgwt_client_widgets_tab_Tab_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:24639 org_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_$setTabHidden__Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZV([object Object],[object Object],false)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:81521 org_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_$updateTab__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZZZ([object Object],[object Object],true,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:117769 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateOperationsTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Ljava_util_Set_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:132520 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Lorg_rhq_core_domain_resource_composite_ResourceComposite_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:132575 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView$27_onTypesLoaded__Lorg_rhq_core_domain_resource_ResourceType_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:133223 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$3_onTypesLoaded__Ljava_util_Map_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142022 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_2Lorg_rhq_core_domain_util_PageList_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142098 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_onSuccess__Ljava_lang_Object_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142110 com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:9294 org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:151972 com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4378 com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4604 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:12598 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 handleEvent([object Event])@:0 SJOWContentBoundary()@:0 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js lineNumber: 185
--- STACK TRACE FOLLOWS ---
(TypeError): this.masterElement is null stack: ("resize")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:185 isc_Canvas__completeResizeBy()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2577 isc_Canvas_resizeBy(0,-76,(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2573 isc_c_Class_invokeSuper([object Object],"resizeBy",0,-76,(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_StatefulCanvas_resizeBy(0,-76,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:234 isc_Canvas_resizeTo(68,24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2601 isc_StatefulCanvas__resized(0,-76)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:262 isc_Canvas__completeResizeBy()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2578 isc_Canvas_resizeBy(0,-76,(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2573 isc_c_Class_invokeSuper([object Object],"resizeBy",null,-76,(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_StatefulCanvas_resizeBy(null,-76,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:234 isc_Canvas_resizeTo(null,24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2601 isc_Canvas_setHeight(24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2258 isc_Layout_setMemberBreadth([object Object],24)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:305 isc_Layout_autoSetBreadth([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:350 isc_Layout_addMembers([object Array],0)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:492 isc_Toolbar_setButtons()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:781 isc_c_Class_invokeSuper(null,"setButtons")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_c_Class_Super("setButtons",[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:271 isc_TabBar_setButtons()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:27 isc_Toolbar_addButtons([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:786 isc_TabBar_addTabs([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:32 isc_TabSet_addTabs([object Array],9)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:362 isc_TabSet_addTab([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js:359 com_smartgwt_client_widgets_tab_TabSet_$addTab__Lcom_smartgwt_client_widgets_tab_TabSet_2Lcom_smartgwt_client_widgets_tab_Tab_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:24639 org_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_$setTabHidden__Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZV([object Object],[object Object],false)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:81521 org_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_$updateTab__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZZZ([object Object],[object Object],true,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:117769 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateOperationsTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Ljava_util_Set_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:132520 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Lorg_rhq_core_domain_resource_composite_ResourceComposite_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:132575 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView$27_onTypesLoaded__Lorg_rhq_core_domain_resource_ResourceType_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:133223 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$3_onTypesLoaded__Ljava_util_Map_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142022 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_2Lorg_rhq_core_domain_util_PageList_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142098 org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_onSuccess__Ljava_lang_Object_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:142110 com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:9294 org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:151972 com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4378 com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4604 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:12598 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 handleEvent([object Event])@:0 SJOWContentBoundary()@:0 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js lineNumber: 185
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas__completeResizeBy(Unknown source:0)
    at Unknown.isc_Canvas_resizeBy(Unknown source:0)
    at Unknown.isc_c_Class_invokeSuper(Unknown source:0)
    at Unknown.isc_StatefulCanvas_resizeBy(Unknown source:0)
    at Unknown.isc_Canvas_resizeTo(Unknown source:0)
    at Unknown.isc_StatefulCanvas__resized(Unknown source:0)
    at Unknown.isc_Canvas__completeResizeBy(Unknown source:0)
    at Unknown.isc_Canvas_resizeBy(Unknown source:0)
    at Unknown.isc_c_Class_invokeSuper(Unknown source:0)
    at Unknown.isc_StatefulCanvas_resizeBy(Unknown source:0)
    at Unknown.isc_Canvas_resizeTo(Unknown source:0)
    at Unknown.isc_Canvas_setHeight(Unknown source:0)
    at Unknown.isc_Layout_setMemberBreadth(Unknown source:0)
    at Unknown.isc_Layout_autoSetBreadth(Unknown source:0)
    at Unknown.isc_Layout_addMembers(Unknown source:0)
    at Unknown.isc_Toolbar_setButtons(Unknown source:0)
    at Unknown.isc_c_Class_invokeSuper(Unknown source:0)
    at Unknown.isc_c_Class_Super(Unknown source:0)
    at Unknown.isc_TabBar_setButtons(Unknown source:0)
    at Unknown.isc_Toolbar_addButtons(Unknown source:0)
    at Unknown.isc_TabBar_addTabs(Unknown source:0)
    at Unknown.isc_TabSet_addTabs(Unknown source:0)
    at Unknown.isc_TabSet_addTab(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_tab_TabSet_$addTab__Lcom_smartgwt_client_widgets_tab_TabSet_2Lcom_smartgwt_client_widgets_tab_Tab_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_$setTabHidden__Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTabSet_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZV(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_$updateTab__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_detail_AbstractTwoLevelTabSetView_2Lorg_rhq_enterprise_gui_coregui_client_components_tab_TwoLevelTab_2ZZZ(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateOperationsTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Ljava_util_Set_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_$updateTabContent__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView_2Lorg_rhq_core_domain_resource_composite_ResourceComposite_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_ResourceDetailView$27_onTypesLoaded__Lorg_rhq_core_domain_resource_ResourceType_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$3_onTypesLoaded__Ljava_util_Map_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$4_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.handleEvent(Unknown source:0)
    at Unknown.SJOWContentBoundary(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
Comment 1 Charles Crouch 2011-08-10 23:48:13 EDT
Mike, I'm afraid we're going to need more info on how to reproduce this
Comment 2 Ian Springer 2011-08-11 17:31:04 EDT
Agreed, we'll definitely need more detailed steps to reproduce. I was unable to reproduce it by just clicking around in the tree, selecting, expanding, and collapsing nodes. 

Just based on how deep inside SmartGWT code the exception is, it's possible the failure was caused by inconsistent/stale data in the browser's cache (i.e. from an earlier version of coregui).
Comment 3 John Mazzitelli 2011-08-16 17:09:40 EDT
jay thinks this is most likely already fixed.
Comment 4 Jay Shaughnessy 2011-08-17 10:46:43 EDT
Master commit: b06d1811c26d285ca30101bcb3b8d775951da2b1

Try fast clicking the resource tree
Comment 5 Jay Shaughnessy 2011-08-17 11:02:12 EDT
Actually, it's commit f0227303da27805124adf2c60766faaa236c1f55 but they all went in together.
Comment 6 Mike Foley 2011-08-17 15:47:27 EDT
verified 8/17 build.
Comment 7 Mike Foley 2012-02-07 14:20:46 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.